Clean Start

firewall

apt-get update
apt-get install arno-iptables-firewall

open ports: 80 443 22

fix locale problem

dpkg-reconfigure locales

or

locale-gen zh_CN.UTF-8

add user

add an user for everyday use, and add he to www-data group for publish

adduser john
usermod -a -G www-data ...
more ...

upgrade debian to 6.0 (Squeeze)

linode上的debian一直跑的是5.0 lenny,想做一次apt-get update居然失败,连续换了几个repo都不行,仔细检查,原来2009年发布的lenny已经处于unsupport状态了,一般的repo里面都已经不再有lenny,而需要要archive.debian.org的repo。

改好source.list,想着干脆升级到debian 6(squeeze)算了,于是按照通常思路,apt-get update; apt-get upgrade; apt-get dist-upgrade 期间遇到一个package依赖不对,干脆删除,升级完成后,修改source.list指向 squeeze,重新更新,悲剧了,网络不通,仔细调查,发现是ipv6好好的,ipv4不行,需要手工配置,折腾几下没弄好,干脆恢复升级前的snapshot(备份备份,对系统做重大改变之前一定要备份啊!) , 按照linode文档里面的方法,基本上就是 ...

more ...

Pages

  • About